weka.core.pmml.jaxbbindings

## Class ComparisonMeasure

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ComparisonMeasure

-     public class ComparisonMeasure
      extends java.lang.Object

  Java class for ComparisonMeasure element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="ComparisonMeasure">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <choice>
                   <element ref="{http://www.dmg.org/PMML-4_1}euclidean"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}squaredEuclidean"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}chebychev"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}cityBlock"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}minkowski"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}simpleMatching"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}jaccard"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}tanimoto"/>
                   <element ref="{http://www.dmg.org/PMML-4_1}binarySimilarity"/>
                 </choice>
               </sequence>
               <attribute name="compareFunction" type="{http://www.dmg.org/PMML-4_1}COMPARE-FUNCTION" default="absDiff" />
               <attribute name="kind" use="required">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="distance"/>
                     <enumeration value="similarity"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="maximum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="minimum" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComparisonMeasure()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinarySimilarity` | `getBinarySimilarity()` Gets the value of the binarySimilarity property.
    `Chebychev` | `getChebychev()` Gets the value of the chebychev property.
    `CityBlock` | `getCityBlock()` Gets the value of the cityBlock property.
    `COMPAREFUNCTION` | `getCompareFunction()` Gets the value of the compareFunction property.
    `Euclidean` | `getEuclidean()` Gets the value of the euclidean property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `Jaccard` | `getJaccard()` Gets the value of the jaccard property.
    `java.lang.String` | `getKind()` Gets the value of the kind property.
    `java.lang.Double` | `getMaximum()` Gets the value of the maximum property.
    `java.lang.Double` | `getMinimum()` Gets the value of the minimum property.
    `Minkowski` | `getMinkowski()` Gets the value of the minkowski property.
    `SimpleMatching` | `getSimpleMatching()` Gets the value of the simpleMatching property.
    `SquaredEuclidean` | `getSquaredEuclidean()` Gets the value of the squaredEuclidean property.
    `Tanimoto` | `getTanimoto()` Gets the value of the tanimoto property.
    `void` | `setBinarySimilarity(BinarySimilarity value)` Sets the value of the binarySimilarity property.
    `void` | `setChebychev(Chebychev value)` Sets the value of the chebychev property.
    `void` | `setCityBlock(CityBlock value)` Sets the value of the cityBlock property.
    `void` | `setCompareFunction(COMPAREFUNCTION value)` Sets the value of the compareFunction property.
    `void` | `setEuclidean(Euclidean value)` Sets the value of the euclidean property.
    `void` | `setJaccard(Jaccard value)` Sets the value of the jaccard property.
    `void` | `setKind(java.lang.String value)` Sets the value of the kind property.
    `void` | `setMaximum(java.lang.Double value)` Sets the value of the maximum property.
    `void` | `setMinimum(java.lang.Double value)` Sets the value of the minimum property.
    `void` | `setMinkowski(Minkowski value)` Sets the value of the minkowski property.
    `void` | `setSimpleMatching(SimpleMatching value)` Sets the value of the simpleMatching property.
    `void` | `setSquaredEuclidean(SquaredEuclidean value)` Sets the value of the squaredEuclidean property.
    `void` | `setTanimoto(Tanimoto value)` Sets the value of the tanimoto property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComparisonMeasure

          public ComparisonMeasure()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getEuclidean

          public Euclidean getEuclidean()

      Gets the value of the euclidean property.
      Returns:
        possible object is `Euclidean`

    - #### setEuclidean

          public void setEuclidean(Euclidean value)

      Sets the value of the euclidean property.
      Parameters:
        `value` - allowed object is `Euclidean`

    - #### getSquaredEuclidean

          public SquaredEuclidean getSquaredEuclidean()

      Gets the value of the squaredEuclidean property.
      Returns:
        possible object is `SquaredEuclidean`

    - #### setSquaredEuclidean

          public void setSquaredEuclidean(SquaredEuclidean value)

      Sets the value of the squaredEuclidean property.
      Parameters:
        `value` - allowed object is `SquaredEuclidean`

    - #### getChebychev

          public Chebychev getChebychev()

      Gets the value of the chebychev property.
      Returns:
        possible object is `Chebychev`

    - #### setChebychev

          public void setChebychev(Chebychev value)

      Sets the value of the chebychev property.
      Parameters:
        `value` - allowed object is `Chebychev`

    - #### getCityBlock

          public CityBlock getCityBlock()

      Gets the value of the cityBlock property.
      Returns:
        possible object is `CityBlock`

    - #### setCityBlock

          public void setCityBlock(CityBlock value)

      Sets the value of the cityBlock property.
      Parameters:
        `value` - allowed object is `CityBlock`

    - #### getMinkowski

          public Minkowski getMinkowski()

      Gets the value of the minkowski property.
      Returns:
        possible object is `Minkowski`

    - #### setMinkowski

          public void setMinkowski(Minkowski value)

      Sets the value of the minkowski property.
      Parameters:
        `value` - allowed object is `Minkowski`

    - #### getSimpleMatching

          public SimpleMatching getSimpleMatching()

      Gets the value of the simpleMatching property.
      Returns:
        possible object is `SimpleMatching`

    - #### setSimpleMatching

          public void setSimpleMatching(SimpleMatching value)

      Sets the value of the simpleMatching property.
      Parameters:
        `value` - allowed object is `SimpleMatching`

    - #### getJaccard

          public Jaccard getJaccard()

      Gets the value of the jaccard property.
      Returns:
        possible object is `Jaccard`

    - #### setJaccard

          public void setJaccard(Jaccard value)

      Sets the value of the jaccard property.
      Parameters:
        `value` - allowed object is `Jaccard`

    - #### getTanimoto

          public Tanimoto getTanimoto()

      Gets the value of the tanimoto property.
      Returns:
        possible object is `Tanimoto`

    - #### setTanimoto

          public void setTanimoto(Tanimoto value)

      Sets the value of the tanimoto property.
      Parameters:
        `value` - allowed object is `Tanimoto`

    - #### getBinarySimilarity

          public BinarySimilarity getBinarySimilarity()

      Gets the value of the binarySimilarity property.
      Returns:
        possible object is `BinarySimilarity`

    - #### setBinarySimilarity

          public void setBinarySimilarity(BinarySimilarity value)

      Sets the value of the binarySimilarity property.
      Parameters:
        `value` - allowed object is `BinarySimilarity`

    - #### getCompareFunction

          public COMPAREFUNCTION getCompareFunction()

      Gets the value of the compareFunction property.
      Returns:
        possible object is `COMPAREFUNCTION`

    - #### setCompareFunction

          public void setCompareFunction(COMPAREFUNCTION value)

      Sets the value of the compareFunction property.
      Parameters:
        `value` - allowed object is `COMPAREFUNCTION`

    - #### getKind

          public java.lang.String getKind()

      Gets the value of the kind property.
      Returns:
        possible object is `String`

    - #### setKind

          public void setKind(java.lang.String value)

      Sets the value of the kind property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaximum

          public java.lang.Double getMaximum()

      Gets the value of the maximum property.
      Returns:
        possible object is `Double`

    - #### setMaximum

          public void setMaximum(java.lang.Double value)

      Sets the value of the maximum property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMinimum

          public java.lang.Double getMinimum()

      Gets the value of the minimum property.
      Returns:
        possible object is `Double`

    - #### setMinimum

          public void setMinimum(java.lang.Double value)

      Sets the value of the minimum property.
      Parameters:
        `value` - allowed object is `Double`